<?php
/*
* Plugin-Name: Product Designer App
* Plugin-URI: https://productdesignerapp.com
* Author: productdesignerapp
* Page: Settings
*/

if (!defined('ABSPATH'))
{
    exit;
}

wp_enqueue_script('pdapp-script', PDAPP_PLUGIN_URL . 'assets/js/pdapp-inline.js', ['jquery'], PDAPP_VERSION.'-'. time(), true);
wp_add_inline_script('pdapp-script', 'var pdappPurchasedCode = "'. esc_html(pdapp_get_user_key()) .'";', 'before');

$pdappDevScript = PDAPP_DEV_MODE ? '' : 'min.';
$pdappDevStr = PDAPP_DEV_MODE ? '' : '-min';
wp_enqueue_script('pdapp-vue-script', PDAPP_PLUGIN_URL . 'assets/plugins/vue/js/vue.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-circletype-script', PDAPP_PLUGIN_URL . 'assets/plugins/circletype/js/circletype.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-spectrum-script', PDAPP_PLUGIN_URL . 'assets/plugins/spectrum/js/spectrum.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-api-script'. $pdappDevStr, PDAPP_PLUGIN_URL . 'admin/assets/js/settings/pdapp-api.'. $pdappDevScript. 'js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-main-script'. $pdappDevStr, PDAPP_PLUGIN_URL . 'admin/assets/js/settings/pdapp-main.'. $pdappDevScript. 'js', ['jquery'], PDAPP_VERSION, true);
?>